<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Laporan_gugatan_sederhana extends CI_Controller {

	function index(){
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$idalurperkara = 8;
		$this->load->model('report/report_gugatan_sederhana');
		$year = array(date("Y",time()));
		$tahun_sekarang = date("Y",time());
		$min_tahun = $tahun_sekarang;
		 $query = $this->report_gugatan_sederhana->get_tahun($idalurperkara);
		 if($query->num_rows==1){
		 	foreach ($query->result() as $row) {
		 		$min_tahun = $row->years;
		 	}
		 }
		$tmp = $tahun_sekarang;
		if($min_tahun<$tahun_sekarang AND !empty($min_tahun)){
			while (TRUE) {
				$tmp--;
				if($tmp<$min_tahun){
					break;
				}
				array_push($year, $tmp);
			}
		}

		$idalurperkara='';
		$list_perkara='';
		$data['list_perkara'] = $list_perkara;
		$data['jenis_laporan'] = $this->fetch_jenis_laporan($idalurperkara);
		$data['rekap_laporan'] = $this->fetch_rekap_laporan($idalurperkara);
		$data['tahun'] = $year;
		//$data['tahun'] = $this->report_gugatan_sederhana->get_tahun(8);

		$data['page_title'] = 'LAPORAN GUGATAN SEDERHANA';

		$this->load->vars($data);
		$this->load->view('header');
		$this->load->view('laporan/laporan_gugatan_sederhana');
		$this->load->view('footer');
	}

	function fetch_jenis_laporan($idalurperkara)
	{
		$jenis_laporan = array(
			array('nama'=>'LAPORAN PERKARA BERDASARKAN KLASIFIKASI PERKARA',
				'id' => '1',
				'lap_gugatan_sederhana' => '8',
				'tahapan' => '10'),
			);

	return $jenis_laporan;
	}

	function fetch_rekap_laporan($idalurperkara)
	{
		$rekap_laporan = array(
			array('nama'=>'REKAPITULASI PERKARA',
				'id' => '1',
				'idalur' => '8',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI PERKARA BERDASAKAN HAKIM',
				'id' => '2',
				'idalur' => '8',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI RATA - RATA WAKTU PERSIAPAN PERKARA',
				'id' => '4',
				'idalur' => '8',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI PERKARA BERDASARKAN LAMA PENYELESAIAN PERKARA',
				'id' => '3',
				'idalur' => '8',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI RATA - RATA WAKTU PERSIAPAN PERKARA KEBERATAN',
				'id' => '6',
				'idalur' => '8',
				'tahapan' => '10'),
			array('nama'=>'REKAPITULASI RATA - RATA WAKTU PENYELESAIAN PERKARA KEBERATAN',
				'id' => '5',
				'idalur' => '8',
				'tahapan' => '10'),
			);

	return $rekap_laporan;
	}

}